PUT
/v1/organizations/{organizationId}/integrations/{integrationId}Update Integration metadata or lifecycle
Conditionally replace the mutable metadata of one stable Integration.
Authentication
Send an API key as a Bearer token in the Authorization header.
Parameters
Request body
Required.
application/jsonobject- unknown properties allowed
false
displayNamerequiredstringThe human-readable Integration name.statusrequired- DataIntegrationStatusThe replacement Integration lifecycle state.
Responses
200DataIntegrationapplication/json400The request path, headers, query, or JSON body did not satisfy the published schema401Unauthorizedapplication/json403Forbiddenapplication/json404NotFoundapplication/json409Conflictapplication/json412DataIntegrationPreconditionFailedapplication/jsonReusable schemas
DataIntegrationEncoded
object- unknown properties allowed
false
integrationIdrequiredstringThe stable Organization-scoped Integration identifier.- maximum length
64 - pattern
^integration_[\s\S]+$
- maximum length
organizationIdrequiredstringThe Organization identifier.- maximum length
64 - pattern
^org_[\s\S]+$
- maximum length
keyrequiredstringThe stable key of this Integration within its Organization.- maximum length
100 - minimum length
1 - pattern
^[a-z][a-z0-9_]*$
- maximum length
displayNamerequiredstringThe human-readable resource name.statusrequired- DataIntegrationStatusThe current lifecycle status.
generationrequiredintegerThe monotonically increasing Integration representation generation.- greater than
0
- greater than
etagrequiredstringThe strong ETag required for the next conditional mutation.- maximum length
12 - pattern
^"(?:[1-9][0-9]{0,9})"$
- maximum length
createdAtrequiredstringWhen the resource was created, in UTC.- format
date-time
- format
updatedAtrequiredstringWhen the resource was last updated, in UTC.- format
date-time
- format
UnauthorizedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Unauthorized"
- allowed values
reasonrequiredstringA safe explanation of why the credential was rejected.
ForbiddenEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Forbidden"
- allowed values
permissionrequiredstringThe permission required by the refused operation.
NotFoundEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"NotFound"
- allowed values
resourcerequiredstringThe resource type relevant to the error.idrequiredstringThe identifier supplied for the resource that was not found.
ConflictEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"Conflict"
- allowed values
resourcerequiredstringThe resource type relevant to the error.reasonrequiredstringA safe explanation of the state conflict.
DataIntegrationPreconditionFailedEncoded
object- unknown properties allowed
false
_tagrequiredstringThe stable machine-readable error type.- allowed values
"DataIntegrationPreconditionFailed"
- allowed values
resourcerequiredstringThe resource type relevant to the error.- allowed values
"integration", "dataIntegrationApplication", "integrationEnvironmentBinding", "dataIntegrationConnection", "knowledgeBase"
- allowed values
currentEtagrequiredstringThe current strong ETag required for the next conditional activation.- maximum length
12 - pattern
^"(?:[1-9][0-9]{0,9})"$
- maximum length
DataIntegrationStatus
string- allowed values
"active", "disabled"